########################################################################
# email
########################################################################

name: email
uploadPath: ../media/email
meta:
    label: { de: "Kontaktformular", en: "Contact Form" }
    muiIcon: email
    rowIdentTpl: { twig: "{{ email }} - {{ subject }}" }
    views:
        - type: simpleList
          mediaQuery: "(max-width: 600px)"
          primaryText: email
          secondaryText: subject
          tertiaryText: insertTime
        - type: table
          columns:
              - insertTime
              - email
              - subject

# Zugriff auf diese Kollektion
permissions:
    # öffentlicher Zugriff
    public:
        methods:
            # Liste und Einzeleinträge lesen
            # checked via hook
            get: false
            # neuen Eintrag anlegen
            post: true
            # Eintrag editieren
            put: false
            # Eintrag löschen
            delete: false
    # zum Projekt zugeordneter Benutzer ohne Zusatzberechtigungen
    user:
        methods:
            get: false
            post: false
            put: false
            delete: false
    # token als Zusatzsicherung gegen Spam, mehr siehe Hook
    "token:${PUBLIC_TOKEN}":
        methods:
            get: false
            post: true
            put: false
            delete: false

hooks:
    post:
        create:
            type: javascript
            file: hooks/email/post_create.js

fields:
    - name: name
      type: string
      meta:
          label: { de: "Name", en: "Name" }
    - name: email
      type: string
      meta:
          label: { de: "Email", en: "Email" }
    - name: subject
      type: string
      meta:
          label: { de: "Betreff", en: "Subject" }
    - name: message
      type: string
      meta:
          widget: richtext
          label: { de: "Nachricht", en: "Message" }
